language: php

php:
    - 5.6
    - 7.0
    - 7.1
    - 7.2
    - 7.3
    - 7.4

before_install:
    - export PATH=$HOME/.local/bin:$PATH
    - pip install --user autobahntestsuite
    - pip list --user autobahntestsuite

before_script:
    - composer install
    - sh tests/ab/run_ab_tests.sh

script:
    - vendor/bin/phpunit
